Daemon Power

The NetBSD Packages Collection: net/gupnp-dlna

Brief description of the package:
GUPnP DLNA is a small DLNA-related utility library

Please read the file "DESCR" for a longer description, or browse the package's history.

This package has a home page at http://www.gupnp.org/.

Please note that this package has a gnu-lgpl-v2.1 license.

The package is located in the "net/gupnp-dlna" directory. The current source version of the package is "gupnp-dlna-0.10.3nb5". For a summary on how to use the package collection, go to the top of the packages tree.

Problem reports, updates or suggestions for this package should be reported with send-pr.

The following security vulnerabilities are known for net/gupnp-dlna :

If you have a vulnerable package installed on any machine, you are advised to remove the package immediately, using the standard package tools. The pkg_admin audit command locates any installed package which has been mentioned in security advisories as being vulnerable.

This package requires the following package(s) to build: glib2>=2.4.0 perl>=5.0 cwrappers>=20150314 libelf>=0.8.5 pcre>=8.31 pcre>=3.4nb1 libffi>=1.20 pcre>=8.30nb1 libffi>=3.0.11 gobject-introspection>=0.6.14nb1 py27-cElementTree-[0-9]* python27>=2.7 mozilla-rootcerts>=1.0.20150804nb1 readline>=2.2 readline>=6.0 python27>=2.7.1nb2 py27-expat-[0-9]* glib2>=2.50.0 libffi>=3.0.0 glib2>=2.34.0 gupnp>=0.20.3 glib2>=2.39.90 libsoup>=2.48.0 glib-networking-[0-9]* glib2>=2.46.0 libproxy>=0.3.1 libproxy>=0.2.3 gnutls>=3.0 lzo>=2.01 autogen>=5.12nb5 bash-[0-9]* guile20>=2.0 gmp>=4.2.1 libltdl>=2.4.2 libunistring>=0.9.3 boehm-gc>=7.4.2nb1 libatomic_ops>=7.4.0<2000 boehm-gc>=7.4 gmp>=5.0.1 libltdl>=2.2.6 libunistring>=0.9.4 libxml2>=2.6.2 xmlcatmgr>=2.0beta1 guile20>=2.0.12nb1 libxml2>=2.8.0nb2 libcfg+>=0.6.2nb1 libtasn1>=4.9 libtasn1>=0.2.7 nettle>=3.1 gmp>=5.0 nettle>=2.4 libcfg+>=0.6.2nb3 libtasn1>=0.3.0 nettle>=3.1.1 gnutls>=3.3.0 libgcrypt>=1.2.0 libgpg-error>=1.13 libgpg-error>=0.6 libgpg-error>=1.10nb1 libproxy>=0.4.11 gnutls>=3.5.4 libgcrypt>=1.6.0 glib2>=2.38.0 gobject-introspection>=0.9.5 gobject-introspection>=1.34.0 libsoup>=2.50.0 gssdp>=0.14.15 vala>=0.36 glib2>=2.32.0 libsoup>=2.54.1nb3 gssdp>=0.12.2.1 gssdp>=1.0.0nb2 gstreamer1>=1.0.0 gst-plugins1-base>=1.0.0 orc>=0.4.6 gstreamer1>=1.10.0 gupnp>=1.0.0nb2 .

This package requires the following package(s) to run: glib2>=2.4.0 perl>=5.0 libelf>=0.8.5 pcre>=8.31 pcre>=3.4nb1 libffi>=1.20 pcre>=8.30nb1 libffi>=3.0.11 gobject-introspection>=0.6.14nb1 py27-cElementTree-[0-9]* python27>=2.7 mozilla-rootcerts>=1.0.20150804nb1 python27>=2.7.1nb2 py27-expat-[0-9]* glib2>=2.50.0 libffi>=3.0.0 glib2>=2.34.0 gupnp>=0.20.3 glib2>=2.39.90 libsoup>=2.48.0 glib-networking-[0-9]* glib2>=2.46.0 libproxy>=0.3.1 libproxy>=0.2.3 gnutls>=3.0 lzo>=2.01 autogen>=5.12nb5 bash-[0-9]* guile20>=2.0 gmp>=4.2.1 libltdl>=2.4.2 libunistring>=0.9.3 boehm-gc>=7.4.2nb1 libatomic_ops>=7.4.0<2000 boehm-gc>=7.4 readline>=2.2 gmp>=5.0.1 libltdl>=2.2.6 libunistring>=0.9.4 readline>=6.0 libxml2>=2.6.2 xmlcatmgr>=2.0beta1 guile20>=2.0.12nb1 libxml2>=2.8.0nb2 libcfg+>=0.6.2nb1 libtasn1>=4.9 libtasn1>=0.2.7 nettle>=3.1 gmp>=5.0 nettle>=2.4 libcfg+>=0.6.2nb3 libtasn1>=0.3.0 nettle>=3.1.1 gnutls>=3.3.0 libgcrypt>=1.2.0 libgpg-error>=1.13 libgpg-error>=0.6 libgpg-error>=1.10nb1 libproxy>=0.4.11 gnutls>=3.5.4 libgcrypt>=1.6.0 glib2>=2.38.0 libsoup>=2.50.0 gssdp>=0.14.15 vala>=0.36 glib2>=2.32.0 gobject-introspection>=1.34.0 libsoup>=2.54.1nb3 gssdp>=0.12.2.1 gssdp>=1.0.0nb2 gstreamer1>=1.0.0 gst-plugins1-base>=1.0.0 orc>=0.4.6 gstreamer1>=1.10.0 gupnp>=1.0.0nb2 .

This package supports the following build-time options:

(none)

Select one of the links below to download the package in precompiled binary form for installation with pkg_add(1). Available machine architectures and package versions:
earm:gupnp-dlna-0.10.3nb1.tgz(NetBSD 7.0)
earm:gupnp-dlna-0.10.3nb1.tgz(NetBSD 7.0)
earmv6hf:gupnp-dlna-0.10.3nb1.tgz(NetBSD 7.0)
earmv7hf:gupnp-dlna-0.10.3nb1.tgz(NetBSD 7.0)
earmv7hf:gupnp-dlna-0.10.3.tgz(NetBSD 7.0)
i386:gupnp-dlna-0.10.3nb5.tgz(NetBSD 6.0)
i386:gupnp-dlna-0.10.3nb3.tgz(NetBSD 6.0)
i386:gupnp-dlna-0.10.3nb4.tgz(NetBSD 6.0)
i386:gupnp-dlna-0.10.3nb5.tgz(NetBSD 7.0)
i386:gupnp-dlna-0.10.3nb3.tgz(NetBSD 7.0)
i386:gupnp-dlna-0.10.3nb4.tgz(NetBSD 7.0)
i386:gupnp-dlna-0.10.3nb4.tgz(NetBSD 7.0)
powerpc:gupnp-dlna-0.10.3nb3.tgz(NetBSD 6.0)
powerpc:gupnp-dlna-0.10.3nb3.tgz(NetBSD 6.0)
powerpc:gupnp-dlna-0.10.3nb4.tgz(NetBSD 6.1)
powerpc:gupnp-dlna-0.10.3nb5.tgz(NetBSD 6.1)
powerpc:gupnp-dlna-0.10.3nb4.tgz(NetBSD 6.1)
powerpc:gupnp-dlna-0.10.3nb1.tgz(NetBSD 7.0)
powerpc:gupnp-dlna-0.10.3.tgz(NetBSD 7.0)
powerpc:gupnp-dlna-0.10.3nb4.tgz(NetBSD 7.1)
powerpc:gupnp-dlna-0.10.3nb5.tgz(NetBSD 8.0)
sparc64:gupnp-dlna-0.10.2nb3.tgz(NetBSD 6.1_STABLE)
x86_64:gupnp-dlna-0.10.3nb5.tgz(NetBSD 6.0)
x86_64:gupnp-dlna-0.10.3nb3.tgz(NetBSD 6.0)
x86_64:gupnp-dlna-0.10.3nb4.tgz(NetBSD 6.0)
x86_64:gupnp-dlna-0.10.3nb5.tgz(NetBSD 6.1)
x86_64:gupnp-dlna-0.10.3nb3.tgz(NetBSD 6.1)
x86_64:gupnp-dlna-0.10.3nb4.tgz(NetBSD 6.1)
x86_64:gupnp-dlna-0.10.3nb4.tgz(NetBSD 6.1)
x86_64:gupnp-dlna-0.10.3nb5.tgz(NetBSD 7.0)
x86_64:gupnp-dlna-0.10.3nb3.tgz(NetBSD 7.0)
x86_64:gupnp-dlna-0.10.3nb4.tgz(NetBSD 7.0)
x86_64:gupnp-dlna-0.10.3nb4.tgz(NetBSD 7.0)
x86_64:gupnp-dlna-0.10.3nb5.tgz(NetBSD 7.0.1_PATCH)
x86_64:gupnp-dlna-0.10.3nb5.tgz(NetBSD 8.99.1)

The NetBSD packages collection is designed to permit easy installation from source - particularly useful if the latest binary package is not available for your chosen platform.


[ Go up one level | Go to top of packages tree | List all packages ]